<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/slot_pxa27x_lx.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/slot_pxa27x_lx.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * Linux PXA27x slot driver platform data definitions.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef _SLOT_PXA27X_LX_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define _SLOT_PXA27X_LX_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="preprocessor">#include &lt;sdioemb/slot_api.h&gt;</span>
00013 <span class="preprocessor">#include &lt;linux/version.h&gt;</span>
00014 
00015 <span class="preprocessor">#if LINUX_VERSION_CODE &gt;= KERNEL_VERSION(2,6,23)</span>
00016 <span class="preprocessor"></span>
00017 <span class="preprocessor">#define CKEN12_MMC    CKEN_MMC</span>
00018 <span class="preprocessor"></span>
00019 <span class="preprocessor">#define MMC_STRPCL    __REG(0x41100000)  </span><span class="comment">/* Control to start and stop MMC clock */</span>
00020 <span class="preprocessor">#define MMC_STAT      __REG(0x41100004)  </span><span class="comment">/* MMC Status Register (read only) */</span>
00021 <span class="preprocessor">#define MMC_CLKRT     __REG(0x41100008)  </span><span class="comment">/* MMC clock rate */</span>
00022 <span class="preprocessor">#define MMC_SPI       __REG(0x4110000c)  </span><span class="comment">/* SPI mode control bits */</span>
00023 <span class="preprocessor">#define MMC_CMDAT     __REG(0x41100010)  </span><span class="comment">/* Command/response/data sequence control */</span>
00024 <span class="preprocessor">#define MMC_RESTO     __REG(0x41100014)  </span><span class="comment">/* Expected response time out */</span>
00025 <span class="preprocessor">#define MMC_RDTO      __REG(0x41100018)  </span><span class="comment">/* Expected data read time out */</span>
00026 <span class="preprocessor">#define MMC_BLKLEN    __REG(0x4110001c)  </span><span class="comment">/* Block length of data transaction */</span>
00027 <span class="preprocessor">#define MMC_NOB       __REG(0x41100020)  </span><span class="comment">/* Number of blocks, for block mode */</span>
00028 <span class="preprocessor">#define MMC_PRTBUF    __REG(0x41100024)  </span><span class="comment">/* Partial MMC_TXFIFO FIFO written */</span>
00029 <span class="preprocessor">#define MMC_I_MASK    __REG(0x41100028)  </span><span class="comment">/* Interrupt Mask */</span>
00030 <span class="preprocessor">#define MMC_I_REG     __REG(0x4110002c)  </span><span class="comment">/* Interrupt Register (read only) */</span>
00031 <span class="preprocessor">#define MMC_CMD       __REG(0x41100030)  </span><span class="comment">/* Index of current command */</span>
00032 <span class="preprocessor">#define MMC_ARGH      __REG(0x41100034)  </span><span class="comment">/* MSW part of the current command argument */</span>
00033 <span class="preprocessor">#define MMC_ARGL      __REG(0x41100038)  </span><span class="comment">/* LSW part of the current command argument */</span>
00034 <span class="preprocessor">#define MMC_RES       __REG(0x4110003c)  </span><span class="comment">/* Response FIFO (read only) */</span>
00035 <span class="preprocessor">#define MMC_RXFIFO    __REG(0x41100040)  </span><span class="comment">/* Receive FIFO (read only) */</span>
00036 <span class="preprocessor">#define MMC_TXFIFO    __REG(0x41100044)  </span><span class="comment">/* Transmit FIFO (write only) */</span>
00037 
00038 <span class="preprocessor">#endif</span>
00039 <span class="preprocessor"></span>
00040 
00041 <span class="keyword">struct </span>pxa27x_sdio_plat_data {
00042     int (*card_power)(<span class="keyword">struct </span>device *, <span class="keyword">enum</span> <a class="code" href="group__sdriver.html#ga32">sdio_power</a>);
00043     int (*card_present)(<span class="keyword">struct </span>device *);
00044 };
00045 
00046 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef _SLOT_PXA27X_LX_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
